pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

rustc panic


Sometimes ago (on the 23rd of June) I compiled rust-1.16.0 using -current pkgsrc and NetBSD-current amd64; it worked OK and I left it aside doe the moment. Now all versions I have got (1.16, 1.15.1) refuse to work with:
➜   rustc --version
thread '<unnamed>' panicked at 'there is no guard page', src/libstd/sys/unix/
note: Run with `RUST_BACKTRACE=1` for a backtrace.
fatal runtime error: failed to initiate panic, error 5
[1]    1495 abort      rustc --version

This happens on all my NetBSD-current systems, virtual or physical, even if I boot an earlier kernel (7.99.42), which is strange. 

Any idea? 


Home | Main Index | Thread Index | Old Index